## com.puppycrawl.tools.checkstyle.checks.blocks
Enum BlockOption

    java.lang.Object
      java.lang.Enum<BlockOption>
          com.puppycrawl.tools.checkstyle.checks.blocks.BlockOption

All Implemented Interfaces:
  Serializable, Comparable<BlockOption>

    public enum BlockOption

extends Enum<BlockOption>

Represents the policy for checking block statements.

Author:
  Rick Giles
See Also:
  `EmptyBlockCheck`

Enum Constant Summary
`STMT` Represents the policy that there is a statement in the block.
`TEXT` Represents the policy that there is some text in the block.

Method Summary
`static BlockOption` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static BlockOption[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TEXT

    public static final BlockOption TEXT

  Represents the policy that there is some text in the block. For example:

       catch (Exception ex) {
           // This is a bad coding practice
       }

### STMT

    public static final BlockOption STMT

  Represents the policy that there is a statement in the block. For example:

       finally {
           lock.release();
       }

Method Detail

### values

    public static BlockOption[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (BlockOption c : BlockOption.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static BlockOption valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2001-2011. All Rights Reserved.